Bug 136868 - Styles Inspector's category labels are not localized
Summary: Styles Inspector's category labels are not localized
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Aron Budea
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks: Styles_Inspector
  Show dependency treegraph
 
Reported: 2020-09-18 05:57 UTC by Mike Kaganski
Modified: 2021-01-11 05:40 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2020-09-18 05:57:47 UTC
Currently the category labels in Styles Inspector ("Paragraph Styles", "Character Styles", etc.) are not localized. They are hard-coded in sw::sidebar::UpdateTree in sw/source/uibase/sidebar/WriterInspectorTextPanel.cxx. They need to use the normal SwResId mechanism, as property names do.
Comment 1 Commit Notification 2020-11-14 20:56:06 UTC
Aron Budea committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/514a4f302f9f49db5a0b22cbe49bd98191296735

tdf#136868, tdf#136912, Styles Inspector: Translatable categories

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.